Bug 812526 - Review Request: kolab-webadmin - Kolab Groupware Web Administration Panel [NEEDINFO]
Review Request: kolab-webadmin - Kolab Groupware Web Administration Panel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2012-04-14 07:41 EDT by Jeroen van Meeuwen
Modified: 2014-09-24 16:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-24 16:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: needinfo? (vanmeeuwen+fedora)


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2012-04-14 07:41:23 EDT
Spec URL: http://git.kolabsys.com/rpm/kolab-webadmin/plain/kolab-webadmin.spec
SRPM URL: http://mirror.kolabsys.com/pub/redhat/kolab-2.4/el6/development/SRPMS/kolab-webadmin-2.4.0-3.el6.kolab_2.4.src.rpm
Description: Flexible user and group Web administration panel for Kolab Groupware.
Comment 3 Rex Dieter 2013-02-12 14:44:09 EST
reviewing...
Comment 4 Rex Dieter 2013-02-12 15:26:14 EST
first off, 

1.  I see this package creating 3 users with static UIDs 412, 413, 414.  Is there any justification for static uid over allowing the system to create these dynamically per examples mentioned on https://fedoraproject.org/wiki/Packaging:UsersAndGroups ?
Comment 5 Rex Dieter 2013-02-12 15:42:54 EST
naming: ok

sources: NOT ok.

2. package MUST use verifiable sources.  
srpm source md5sum:
19ff232d654d5497c9dabe4d7f159946  kolab-webadmin-3.0.3.tar.gz

Source0 URL md5sum:
9246c9844036141e21096361147eceac  kolab-webadmin-3.0.3.tar.gz

license: ok

macros: ok

scriptlets: ok
but... I assume this is from legacy stuff to cleanup after older packaging?

if [ $1 -gt 1 ]; then
    if [ ! -L "/usr/share/kolab-webadmin/hosted/js" ...
        rm -rf /usr/share/kolab-webadmin/hosted/js >/dev/null 2>&1 || :
    fi
...
fi

3.  whatever it's purpose, you SHOULD document with a comment what it's for exactly.  and maybe even consider removing or conditionalizing it for rhel only (ie, since none of these packages have been published for fedora, they are likely not needed).


otherwise, relatively simple web app here, please clarify points 1-3 for me.
Comment 6 Rex Dieter 2013-03-12 15:14:58 EDT
ping?  been about a month ...
Comment 7 Rex Dieter 2014-09-24 16:18:55 EDT
Marking as stalled review, feel free to reopen if you're ever interested in picking things up again.

Note You need to log in before you can comment on or make changes to this bug.